GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes
grpc::Status Class Reference

`#include <status.h>`

## Public Member Functions
| Status ()
| Status (StatusCode code, const grpc::string &details)
StatusCode | error_code () const
grpc::string | error_message () const
bool | ok () const

## Static Public Attributes
static const Status & | OK
static const Status & | CANCELLED

## Constructor & Destructor Documentation

grpc::Status::Status | ( |  | ) |
| inline

grpc::Status::Status | ( | StatusCode | code,
|  | const grpc::string & | details
| ) |  |
| inline

## Member Function Documentation

StatusCode grpc::Status::error_code | ( |  | ) | const
| inline

grpc::string grpc::Status::error_message | ( |  | ) | const
| inline

bool grpc::Status::ok | ( |  | ) | const
| inline

## Field Documentation

const Status& grpc::Status::CANCELLED
| static

const Status& grpc::Status::OK
| static

The documentation for this class was generated from the following file:

- include/grpc++/status.h